Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1334)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 1335)
@@ -112,7 +112,7 @@
 
 	@Override
 	public String getName() {
-		return KRAnnotationUIMessages.SimpleKRAnnotation_1;
+		return KRAnnotationUIMessages.squencesDeMotsCatgorie;
 	}
 		
 	@Override
@@ -135,8 +135,8 @@
 		
 		TableViewerColumn annotationColumnViewer = new TableViewerColumn(viewer, SWT.CENTER, position);
 		annotationColumn = annotationColumnViewer.getColumn();
-		annotationColumn.setText(KRAnnotationUIMessages.ConcordancesEditor_15);
-		annotationColumn.setToolTipText(KRAnnotationUIMessages.ConcordancesEditor_17);
+		annotationColumn.setText(KRAnnotationUIMessages.category);
+		annotationColumn.setToolTipText(KRAnnotationUIMessages.keywordsAnnotation);
 		annotationColumn.pack();
 		annotationColumn.setAlignment(SWT.CENTER);
 
@@ -195,17 +195,17 @@
 		}
 		annotations.setViewAnnotation(tagAnnotationType);
 		
-		Log.warning(KRAnnotationUIMessages.SimpleKRAnnotation_4+typesList);
+		Log.warning(KRAnnotationUIMessages.availableAnnotationTypesDDot+typesList);
 
-		annotationArea = new GLComposite(parent, SWT.NONE, KRAnnotationUIMessages.SimpleKRAnnotation_5);
+		annotationArea = new GLComposite(parent, SWT.NONE, KRAnnotationUIMessages.concordanceAnnotationArea);
 		annotationArea.getLayout().numColumns = 12;
 		annotationArea.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
 
 		addRemoveCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		String affectLabel = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_22"); //$NON-NLS-1$
-		if (affectLabel == null) affectLabel= KRAnnotationUIMessages.ConcordancesEditor_22;
+		if (affectLabel == null) affectLabel= KRAnnotationUIMessages.affect;
 		String removeLabel = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_24"); //$NON-NLS-1$
-		if (removeLabel == null) removeLabel= KRAnnotationUIMessages.ConcordancesEditor_24;
+		if (removeLabel == null) removeLabel= KRAnnotationUIMessages.delete;
 		String items[] = {affectLabel, removeLabel};
 		addRemoveCombo.setItems(items);
 		addRemoveCombo.select(0);
@@ -215,7 +215,7 @@
 				if (addRemoveCombo.getSelectionIndex() == 0) { // add
 					annotationValuesText.setEnabled(true);
 					String withLabelText = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_83"); //$NON-NLS-1$
-					if (withLabelText == null) withLabelText= KRAnnotationUIMessages.ConcordancesEditor_83;
+					if (withLabelText == null) withLabelText= KRAnnotationUIMessages.withTheCategory;
 					withLabel.setText(withLabelText);
 				} else { // remove
 					annotationValuesText.setEnabled(false);
@@ -234,12 +234,12 @@
 
 		withLabel = new Label(annotationArea, SWT.NONE);
 		String withLabelText = currentKnowledgeRepository.getString(getLocale(), "ConcordancesEditor_83"); //$NON-NLS-1$
-		if (withLabelText == null) withLabelText= KRAnnotationUIMessages.ConcordancesEditor_83;
+		if (withLabelText == null) withLabelText= KRAnnotationUIMessages.withTheCategory;
 		withLabel.setText(withLabelText);
 		withLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
-		annotationValuesText.setToolTipText(KRAnnotationUIMessages.ConcordancesEditor_32);
+		annotationValuesText.setToolTipText(KRAnnotationUIMessages.enterAValueForAnId);
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
@@ -258,7 +258,7 @@
 		if (currentKnowledgeRepository instanceof LocalKnowledgeRepository) {
 			addTypedValueLink = new Button(annotationArea, SWT.PUSH);
 			addTypedValueLink.setText("..."); //$NON-NLS-1$
-			addTypedValueLink.setToolTipText(KRAnnotationUIMessages.ConcordancesEditor_77);
+			addTypedValueLink.setToolTipText(KRAnnotationUIMessages.openTheListOfCategories);
 			addTypedValueLink.setEnabled(true);
 			addTypedValueLink.setLayoutData(new GridData(SWT.FILL,	SWT.CENTER, false, false));
 			addTypedValueLink.addSelectionListener(new SelectionListener() {
@@ -273,7 +273,7 @@
 					LocalKnowledgeRepository kr = (LocalKnowledgeRepository)currentKnowledgeRepository;
 
 					ListDialog dialog = new ListDialog(e.widget.getDisplay().getActiveShell());
-					dialog.setTitle(KRAnnotationUIMessages.ConcordancesEditor_99);//+"valeurs de "+type.getName());
+					dialog.setTitle(KRAnnotationUIMessages.listOfCategories);//+"valeurs de "+type.getName());
 					dialog.setContentProvider(new ArrayContentProvider());
 					dialog.setLabelProvider(new SimpleLabelProvider() {
 						public String getColumnText(Object element, int columnIndex) {
@@ -308,7 +308,7 @@
 
 		affectCombo = new Combo(annotationArea, SWT.READ_ONLY);
 		affectCombo.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-		String items2[] = {KRAnnotationUIMessages.ConcordancesEditor_35, KRAnnotationUIMessages.ConcordancesEditor_49};
+		String items2[] = {KRAnnotationUIMessages.selectedLines, KRAnnotationUIMessages.allLines};
 		affectCombo.setItems(items2);
 		affectCombo.select(0);
 		gdata = new GridData(SWT.CENTER, SWT.CENTER, false, false);
@@ -316,8 +316,8 @@
 		affectCombo.setLayoutData(gdata);
 
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
-		affectAnnotationButton.setText(KRAnnotationUIMessages.ConcordancesEditor_85);
-		affectAnnotationButton.setToolTipText(KRAnnotationUIMessages.ConcordancesEditor_116);
+		affectAnnotationButton.setText(KRAnnotationUIMessages.oK);
+		affectAnnotationButton.setToolTipText(KRAnnotationUIMessages.proceedToAnnotation);
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -330,7 +330,7 @@
 						List<Match> matches = concordance.getMatches();
 						affectMatchesToSelection(matches);
 					} catch (CqiClientException e1) {
-						Log.severe(KRAnnotationUIMessages.ConcordancesEditor_53+e1);
+						Log.severe(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceDDot+e1);
 						Log.printStackTrace(e1);
 						return;
 					}
@@ -342,7 +342,7 @@
 		});
 		
 		Button closeButton = new Button(annotationArea, SWT.PUSH);
-		closeButton.setToolTipText(KRAnnotationUIMessages.SimpleKRAnnotation_10);
+		closeButton.setToolTipText(KRAnnotationUIMessages.closeTheToolbarWithoutSaving);
 		closeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_DELETE));
 		closeButton.setLayoutData(new GridData(GridData.END, GridData.CENTER, true, false));
 		closeButton.addSelectionListener(new SelectionListener() {
@@ -392,7 +392,7 @@
 		final String svalue = annotationValuesText.getText();
 		final boolean doAffect = addRemoveCombo.getSelectionIndex() == 0; // add is default
 
-		JobHandler job = new JobHandler(KRAnnotationUIMessages.ConcordancesEditor_36, true) {
+		JobHandler job = new JobHandler(KRAnnotationUIMessages.annotatingConcordanceSelection, true) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
@@ -403,11 +403,11 @@
 						deleteAnnotationValues(matches, type, this);
 					}
 				} catch(Exception e) {
-					Log.severe(KRAnnotationUIMessages.ConcordancesEditor_40+e);
+					Log.severe(KRAnnotationUIMessages.errorWhileAnnotatingConcordanceSelectionDDot+e);
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
 				} catch(ThreadDeath td) {
-					System.out.println(KRAnnotationUIMessages.SimpleKRAnnotation_11);
+					System.out.println(KRAnnotationUIMessages.annotationCanceledByUser);
 					return Status.CANCEL_STATUS;
 				}
 
@@ -475,7 +475,7 @@
 				return;
 			}
 		} catch (Exception e1) {
-			System.out.println(KRAnnotationUIMessages.ConcordancesEditor_54+e1);
+			System.out.println(KRAnnotationUIMessages.errorWhileDeletingAnnotationDDot+e1);
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -507,8 +507,8 @@
 				if (matches.size() > NALERTAFFECTANNOTATIONS) {
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(), 
 							"confirm_annotate",  //$NON-NLS-1$
-							KRAnnotationUIMessages.ConcordancesEditor_86, 
-							KRAnnotationUIMessages.ConcordancesEditor_87+matches.size()+KRAnnotationUIMessages.ConcordancesEditor_108);
+							KRAnnotationUIMessages.confirmAnnotationAffectation, 
+							KRAnnotationUIMessages.youAreAboutToAnnotate+matches.size()+KRAnnotationUIMessages.elementsContinue);
 
 					if (dialog.open() == ConfirmDialog.CANCEL) {
 						System.out.println("Annotation aborted by user."); //$NON-NLS-1$
@@ -519,7 +519,7 @@
 		});
 
 		// get value from combo text value
-		Log.warning(KRAnnotationUIMessages.ConcordancesEditor_57+svalue);
+		Log.warning(KRAnnotationUIMessages.lookingForTypedValueWithIdEquals+svalue);
 		final KnowledgeRepository kr = KnowledgeRepositoryManager.getKnowledgeRepository(type.getKnowledgeRepository());
 		value_to_add = kr.getValue(type, svalue);
 
@@ -530,8 +530,8 @@
 				public void run() {
 					String title = kr.getString(getLocale(), "ConcordancesEditor_110"); //$NON-NLS-1$
 					String content = kr.getString(getLocale(), "ConcordancesEditor_112"); //$NON-NLS-1$
-					if (title == null ) title = KRAnnotationUIMessages.ConcordancesEditor_110;
-					if (content == null ) content = KRAnnotationUIMessages.ConcordancesEditor_112;
+					if (title == null ) title = KRAnnotationUIMessages.newValueP0ForCategoryP1;
+					if (content == null ) content = KRAnnotationUIMessages.theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt;
 					ConfirmDialog dialog = new ConfirmDialog(Display.getCurrent().getActiveShell(), 
 							"create_value", //$NON-NLS-1$
 							ConcordanceUIMessages.bind(title, svalue, type.getName()),  
@@ -553,7 +553,7 @@
 			job.syncExec(new Runnable() {
 				@Override
 				public void run() {
-					String mess = ConcordanceUIMessages.bind(KRAnnotationUIMessages.ConcordancesEditor_58, svalue);
+					String mess = ConcordanceUIMessages.bind(KRAnnotationUIMessages.noValueFoundWithTheP0Id, svalue);
 					System.out.println(mess);
 					MessageDialog.openError(Display.getCurrent().getActiveShell(), "Annotation canceled", mess); //$NON-NLS-1$
 				}
@@ -561,7 +561,7 @@
 			return;
 		}
 
-		Log.info(KRAnnotationUIMessages.ConcordancesEditor_59+value_to_add+KRAnnotationUIMessages.ConcordancesEditor_60+matches);
+		Log.info(KRAnnotationUIMessages.aFFECT+value_to_add+KRAnnotationUIMessages.toSELECTIONEquals+matches);
 
 		// finally we can 'try' to create the annotations \o/
 		try {
@@ -569,16 +569,16 @@
 
 			// did we had problems ?
 			if (existingAnnots!=null && existingAnnots.size() > 0) {
-				String message = KRAnnotationUIMessages.ConcordancesEditor_61+value_to_add.getStandardName()+
-						KRAnnotationUIMessages.ConcordancesEditor_62;
+				String message = KRAnnotationUIMessages.couldNotAnnotateTheValue+value_to_add.getStandardName()+
+						KRAnnotationUIMessages.onCertainSequences;
 				for (Match m : existingAnnots.keySet()) {
-					message += KRAnnotationUIMessages.ConcordancesEditor_63+m+KRAnnotationUIMessages.ConcordancesEditor_64;
+					message += KRAnnotationUIMessages.theSequence+m+KRAnnotationUIMessages.isOverlappingWith;
 
 					for (Annotation existingAnnot : existingAnnots.get(m)) {
 						if (existingAnnot.getStart() < m.getStart()){
-							message += KRAnnotationUIMessages.ConcordancesEditor_65+existingAnnot.getType()+KRAnnotationUIMessages.ConcordancesEditor_66+existingAnnot.getStart()+KRAnnotationUIMessages.ConcordancesEditor_67+existingAnnot.getEnd()+KRAnnotationUIMessages.ConcordancesEditor_68;
+							message += KRAnnotationUIMessages.theEndOfAStructure+existingAnnot.getType()+KRAnnotationUIMessages.at+existingAnnot.getStart()+KRAnnotationUIMessages.ConcordancesEditor_67+existingAnnot.getEnd()+KRAnnotationUIMessages.ConcordancesEditor_68;
 						} else {
-							message += KRAnnotationUIMessages.ConcordancesEditor_69+existingAnnot.getType()+KRAnnotationUIMessages.ConcordancesEditor_70+existingAnnot.getStart()+KRAnnotationUIMessages.ConcordancesEditor_71+existingAnnot.getEnd()+KRAnnotationUIMessages.ConcordancesEditor_72;
+							message += KRAnnotationUIMessages.theStartOfAStructure+existingAnnot.getType()+KRAnnotationUIMessages.at+existingAnnot.getStart()+KRAnnotationUIMessages.ConcordancesEditor_67+existingAnnot.getEnd()+KRAnnotationUIMessages.ConcordancesEditor_68;
 						}
 					}
 				}
@@ -586,7 +586,7 @@
 				job.syncExec(new Runnable() {
 					@Override
 					public void run() {
-						MessageDialog.openInformation(editor.getSite().getShell(), KRAnnotationUIMessages.ConcordancesEditor_73, final_message);
+						MessageDialog.openInformation(editor.getSite().getShell(), KRAnnotationUIMessages.aboutAnnotations, final_message);
 					}
 				});
 			}
@@ -595,7 +595,7 @@
 				annotManager.checkData();
 			}
 		} catch (Exception e1) {
-			System.out.println(KRAnnotationUIMessages.ConcordancesEditor_74+e1);
+			System.out.println(KRAnnotationUIMessages.errorWhileAffectionAnnotationDDot+e1);
 			Log.printStackTrace(e1);
 			return;
 		}
@@ -705,4 +705,4 @@
 	public boolean needToUpdateIndexes() {
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 1334)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/ExportStandoff.java	(revision 1335)
@@ -86,7 +86,7 @@
 		dialog.setFileName(corpus.getID()+"_annotations.zip");
 		dialog.setFilterExtensions(new String[]{"*.zip"});
 		if (dialog.open() != null) {
-			StatusLine.setMessage(TXMUIMessages.ExportAnnotation_0);
+			StatusLine.setMessage(TXMUIMessages.exportingAnnotations);
 			String filepath = dialog.getFilterPath();
 			String filename = dialog.getFileName();
 
@@ -152,4 +152,4 @@
 		jobhandler.startJob(true);
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java	(revision 1334)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/messages/KRAnnotationUIMessages.java	(revision 1335)
@@ -1,92 +1,81 @@
-package org.txm.annotation.kr.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-/**
- * KR annotation UI messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class KRAnnotationUIMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.annotation.kr.rcp.messages.messages"; //$NON-NLS-1$
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, KRAnnotationUIMessages.class);
-	}
-
-	private KRAnnotationUIMessages() {
-	}
-
-	public static String ConcordancesEditor_100;
-	public static String ConcordancesEditor_108;
-	public static String ConcordancesEditor_110;
-	public static String ConcordancesEditor_112;
-	public static String ConcordancesEditor_115;
-	public static String ConcordancesEditor_116;
-	public static String ConcordancesEditor_15;
-	public static String ConcordancesEditor_17;
-	public static String ConcordancesEditor_22;
-	public static String ConcordancesEditor_24;
-	public static String ConcordancesEditor_32;
-	public static String ConcordancesEditor_35;
-	public static String ConcordancesEditor_36;
-	public static String ConcordancesEditor_40;
-	public static String ConcordancesEditor_49;
-	public static String ConcordancesEditor_53;
-	public static String ConcordancesEditor_54;
-	public static String ConcordancesEditor_57;
-	public static String ConcordancesEditor_58;
-	public static String ConcordancesEditor_59;
-	public static String ConcordancesEditor_60;
-	public static String ConcordancesEditor_61;
-	public static String ConcordancesEditor_62;
-	public static String ConcordancesEditor_63;
-	public static String ConcordancesEditor_64;
-	public static String ConcordancesEditor_65;
-	public static String ConcordancesEditor_66;
-	public static String ConcordancesEditor_67;
-	public static String ConcordancesEditor_68;
-	public static String ConcordancesEditor_69;
-	public static String ConcordancesEditor_70;
-	public static String ConcordancesEditor_71;
-	public static String ConcordancesEditor_72;
-	public static String ConcordancesEditor_73;
-	public static String ConcordancesEditor_74;
-	public static String ConcordancesEditor_76;
-	public static String ConcordancesEditor_77;
-	public static String ConcordancesEditor_79;
-	public static String ConcordancesEditor_80;
-	public static String ConcordancesEditor_81;
-	public static String ConcordancesEditor_82;
-	public static String ConcordancesEditor_83;
-	public static String ConcordancesEditor_85;
-	public static String ConcordancesEditor_86;
-	public static String ConcordancesEditor_87;
-	public static String ConcordancesEditor_99;
-	public static String KRAnnotation_1;
-	public static String KRAnnotation_16;
-	public static String KRAnnotation_17;
-	public static String KRAnnotation_4;
-	public static String KRAnnotation_5;
-	public static String KRAnnotation_6;
-	public static String SimpleKRAnnotation_1;
-	public static String SimpleKRAnnotation_10;
-	public static String SimpleKRAnnotation_11;
-	public static String SimpleKRAnnotation_4;
-	public static String SimpleKRAnnotation_5;
-	public static String WordAnnotationToolbar_1;
-	public static String WordAnnotationToolbar_10;
-	public static String WordAnnotationToolbar_11;
-	public static String WordAnnotationToolbar_12;
-	public static String WordAnnotationToolbar_13;
-	public static String WordAnnotationToolbar_15;
-	public static String WordAnnotationToolbar_16;
-	public static String WordAnnotationToolbar_2;
-	public static String WordAnnotationToolbar_3;
-}
+package org.txm.annotation.kr.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * KR annotation UI messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class KRAnnotationUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.annotation.kr.rcp.messages.messages"; //$NON-NLS-1$
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, KRAnnotationUIMessages.class);
+	}
+
+	private KRAnnotationUIMessages() {
+	}
+
+	public static String availableValuesForP0; 
+	public static String elementsContinue; 
+	public static String newValueP0ForCategoryP1; 
+	public static String theValueP0IsNotAssociatedWithTheCategoryP1AssociateIt; 
+	public static String addANewCategory; 
+	public static String proceedToAnnotation; 
+	public static String category; 
+	public static String keywordsAnnotation; 
+	public static String affect; 
+	public static String delete; 
+	public static String enterAValueForAnId; 
+	public static String selectedLines; 
+	public static String annotatingConcordanceSelection; 
+	public static String errorWhileAnnotatingConcordanceSelectionDDot; 
+	public static String allLines; 
+	public static String errorWhileAnnotatingConcordanceDDot; 
+	public static String errorWhileDeletingAnnotationDDot; 
+	public static String lookingForTypedValueWithIdEquals; 
+	public static String noValueFoundWithTheP0Id; 
+	public static String aFFECT; 
+	public static String toSELECTIONEquals; 
+	public static String couldNotAnnotateTheValue; 
+	public static String onCertainSequences; 
+	public static String theSequence; 
+	public static String isOverlappingWith; 
+	public static String theEndOfAStructure; 
+	public static String at; 
+	public static String ConcordancesEditor_67;
+	public static String ConcordancesEditor_68;
+	public static String theStartOfAStructure; 
+	public static String aboutAnnotations; 
+	public static String errorWhileAffectionAnnotationDDot; 
+	public static String saveTheAnnotations; 
+	public static String openTheListOfCategories; 
+	public static String selectAValueAmongTheList; 
+	public static String valueEquals; 
+	public static String pleaseEnterTheNewTypeName; 
+	public static String newCategory; 
+	public static String withTheCategory; 
+	public static String oK; 
+	public static String confirmAnnotationAffectation; 
+	public static String youAreAboutToAnnotate; 
+	public static String listOfCategories; 
+	public static String squencesDeMotsCatgorievaleur; 
+	public static String closeTheToolbarWithoutSaving; 
+	public static String annotationCanceledByUser; 
+	public static String availableAnnotationTypesDDot; 
+	public static String errorDDotNoSuitableKnowledgeRepositoryFound; 
+	public static String concordanceAnnotationArea; 
+	public static String squencesDeMotsCatgorie; 
+	public static String motsPropritsInfDfaut; 
+	public static String all; 
+	public static String nouvelleProprit; 
+	public static String nomDeLaPropritPatternEqualsazaz09Plus; 
+	public static String property; 
+}
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesR.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesR.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/statsengine/r/function/SpecificitiesR.java	(revision 1335)
@@ -141,9 +141,9 @@
 		try {
 			res = r.asDoubleMatrix();
 		} catch (Exception e) {
-			throw new StatException(SpecificitiesCoreMessages.ComputeError_FAILED_TO_GET_SPECIFICITIES + e.getMessage(), e);
+			throw new StatException(SpecificitiesCoreMessages.failedToGetTheSpecificitesDDot + e.getMessage(), e);
 		}
-		Log.finest((res.length * res[0].length) + SpecificitiesCoreMessages.Specificites_2);
+		Log.finest((res.length * res[0].length) + SpecificitiesCoreMessages.specificityIndexComputed);
 
 		return res;
 	}
@@ -151,4 +151,4 @@
 	public double[][] getScores() {
 		return specIndex;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/messages/SpecificitiesCoreMessages.java	(revision 1335)
@@ -1,48 +1,48 @@
-package org.txm.specificities.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-
-
-/**
- * Specificities core messages. 
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class SpecificitiesCoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.specificities.core.messages.messages"; //$NON-NLS-1$
-	
-	public static String RESULT_TYPE;
-	public static String SELECTION_RESULT_TYPE;
-	
-	public static String ChartsError_CANT_CREATE_SPECIFICITIES_FILE_CHART;
-	
-	public static String Charts_X_AXIS_LABEL;
-	public static String Charts_Y_AXIS_LABEL;
-	public static String Charts_BANALITY_MARKER_LABEL;
-
-	public static String ComputeError_FAILED_TO_GET_SPECIFICITIES;
-	public static String ComputeError_FOUND_AND_WANTED_ROWS_MISMATCH;
-	
-	public static String Specificites_2;
-	public static String SpecificitesResult_0;
-	public static String SpecificitesResult_1;
-	public static String SpecificitesResult_2;
-	public static String SpecificitesResult_6;
-	public static String SpecificitesResult_8;
-	public static String RelativeFrequency_3;
-
-
-
-	public static String error_errorWhileComputingSpecificities;
-
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, SpecificitiesCoreMessages.class);
-	}
-
-}
+package org.txm.specificities.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+
+/**
+ * Specificities core messages. 
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class SpecificitiesCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.specificities.core.messages.messages"; //$NON-NLS-1$
+	
+	public static String RESULT_TYPE;
+	public static String specificitiesSelection; 
+	
+	public static String cantCreateSpecificitiesChartFileChartsEngineDDotP0; 
+	
+	public static String part; 
+	public static String score; 
+	public static String banalityDDotP0; 
+
+	public static String failedToGetTheSpecificitesDDot; 
+	public static String numberOfRowsWantedP0AndFoundP1Mismatch; 
+	
+	public static String specificityIndexComputed; 
+	public static String noSpecificitiesIndexArray; 
+	public static String theSpecificityIndexArrayDoesNotProperlyRepresentAMatrix; 
+	public static String theLexicalTableCannotBeNull; 
+	public static String referenceToNonExistingRow; 
+	public static String unit; 
+	public static String relativeFrequencyPercent; 
+
+
+
+	public static String error_errorWhileComputingSpecificities;
+
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, SpecificitiesCoreMessages.class);
+	}
+
+}
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 1335)
@@ -220,16 +220,16 @@
 		this.symbol = symbol;
 
 		if (this.lexicalTable == null) {
-			throw new IllegalArgumentException(SpecificitiesCoreMessages.SpecificitesResult_2);
+			throw new IllegalArgumentException(SpecificitiesCoreMessages.theLexicalTableCannotBeNull);
 		}
 		this.name = name;
 
 		if (specIndex == null || specIndex.length == 0) {
-			throw new IllegalArgumentException(SpecificitiesCoreMessages.SpecificitesResult_0);
+			throw new IllegalArgumentException(SpecificitiesCoreMessages.noSpecificitiesIndexArray);
 		}
 		boolean ok = CheckArray.checkMatrixRepresentation(specIndex);
 		if (!ok) {
-			throw new IllegalArgumentException(SpecificitiesCoreMessages.SpecificitesResult_1);
+			throw new IllegalArgumentException(SpecificitiesCoreMessages.theSpecificityIndexArrayDoesNotProperlyRepresentAMatrix);
 		}
 
 		this.indices = specIndex;
@@ -259,13 +259,13 @@
 		if (this.rownames != null && this.rownames.size() != 0) {
 			if (this.rownames.size() != specIndex.length) {
 				throw new IllegalArgumentException(
-						SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.ComputeError_FOUND_AND_WANTED_ROWS_MISMATCH, this.rownames.size(), specIndex.length));
+						SpecificitiesCoreMessages.bind(SpecificitiesCoreMessages.numberOfRowsWantedP0AndFoundP1Mismatch, this.rownames.size(), specIndex.length));
 			}
 
 			rowindex = ArrayIndex.getIndex(this.lexicalTable.getRowNames().asStringsArray(), this.rownames.toArray(new String[] {}));
 			for (int i : rowindex) {
 				if (i == -1) {
-					throw new IllegalArgumentException(SpecificitiesCoreMessages.SpecificitesResult_6);
+					throw new IllegalArgumentException(SpecificitiesCoreMessages.referenceToNonExistingRow);
 				}
 			}
 		}
@@ -565,7 +565,7 @@
 			String[] names = getPartShortNames();
 			// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
 			//write column header
-			String txt = SpecificitiesCoreMessages.SpecificitesResult_8+colseparator+"F"; //$NON-NLS-1$
+			String txt = SpecificitiesCoreMessages.unit+colseparator+"F"; //$NON-NLS-1$
 			for(String colname : names) {
 				txt += colseparator+ "f_"+colname + colseparator + "Score"; //$NON-NLS-1$ //$NON-NLS-2$
 			}
@@ -749,4 +749,4 @@
 
 	
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 1334)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/functions/SpecificitiesSelection.java	(revision 1335)
@@ -144,7 +144,7 @@
 
 	@Override
 	public String getResultype() {
-		return SpecificitiesCoreMessages.SELECTION_RESULT_TYPE;
+		return SpecificitiesCoreMessages.specificitiesSelection;
 	}
 
 
@@ -266,4 +266,4 @@
 	}
 
 
-}
+}
\ No newline at end of file
